> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coralos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a namespace

> Deletes a given namespace, closing any session that it may contain



## OpenAPI

````yaml /api_v1.json delete /api/v1/local/namespace/{namespace}
openapi: 3.1.0
info:
  title: Coral Server API
  version: '1.0'
servers: []
security: []
tags: []
externalDocs:
  url: /
paths:
  /api/v1/local/namespace/{namespace}:
    delete:
      tags:
        - local
      summary: Delete a namespace
      description: Deletes a given namespace, closing any session that it may contain
      operationId: deleteNamespace
      parameters:
        - name: namespace
          in: path
          description: The namespace to delete
          required: true
          deprecated: false
          explode: false
          schema:
            type: string
            title: String
      responses:
        '404':
          description: Invalid namespace provided
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouteException'
      deprecated: false
      security:
        - token: []
components:
  schemas:
    RouteException:
      type: object
      properties:
        message:
          type: string
          title: String
      required:
        - message
      title: RouteException
  securitySchemes:
    token:
      type: http
      scheme: bearer
      bearerFormat: Configured token

````